package com.gic.haoban.manage.web.qo.hm;

import java.io.Serializable;
import java.util.List;

/**
 * 
* @ClassName: HmBatchModifyQO
* @Description: 活码批量修改成员
* @author xugh
* @date 2023年5月15日 上午10:25:42
*
 */
public class HmBatchModifyQO implements Serializable {

    /**
    * @Fields serialVersionUID : TODO(用一句话描述这个变量表示什么)
    */
    private static final long serialVersionUID = 551906331625487555L;

    private List<String> hmIdList;

    // 1新增 2删除
    private int optType;

    private List<String> clerkIdList;

    // 1 继续执行更新 2不废弃活码
    private int updateType;

    public List<String> getHmIdList() {
        return hmIdList;
    }

    public int getOptType() {
        return optType;
    }

    public void setHmIdList(List<String> hmIdList) {
        this.hmIdList = hmIdList;
    }

    public void setOptType(int optType) {
        this.optType = optType;
    }

    public List<String> getClerkIdList() {
        return clerkIdList;
    }

    public int getUpdateType() {
        return updateType;
    }

    public void setClerkIdList(List<String> clerkIdList) {
        this.clerkIdList = clerkIdList;
    }

    public void setUpdateType(int updateType) {
        this.updateType = updateType;
    }
}
